<?php declare(strict_types=1);

namespace Infomaker\Everyware\Base\Models;

use Infomaker\Everyware\Support\Storage\CollectionModel;

/**
 * Class SettingsParameter
 * @package Infomaker\Everyware\Base\Models
 */
class SettingsParameter extends CollectionModel
{
    protected $optionName = 'everyware_settings_parameters';

    protected $fields = [
        'key' => '',
        'value' => '',
        'type' => 'string',
    ];

    public static function getValue($key)
    {
        $model = static::collection()->all()->where('key', $key)->first();

        return $model['value'] ?? null;
    }
}
